<?php
/**
 * Pikture: Color Patterns
 *
 * @package WordPress
 * @subpackage Pikture Pro
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function pikture_pro_custom_colors_css() {
  	$options= pikture_pro_get_theme_options();

	$color_value      = $options['colorscheme_hue'];
	$accent_color     = $options['accent_color'];
	
	$css = '
	/*--------------------------------------------------------------
##                      BACKGROUND COLOR
--------------------------------------------------------------*/
body.colors-custom.sticky-menu .nav-shrink .container,
body.colors-custom .counter,
body.colors-custom #testimonial .hentry:nth-child(1),
body.colors-custom .single-post-wrapper .entry-container,
body.colors-custom .single-post-wrapper .navigation.post-navigation
body.colors-custom .not-found,
body.colors-custom .comment-meta.commentmetadata {
    background: '.esc_attr( $color_value ).';
}
body.colors-custom .site-header,
body.colors-custom .header-content,
body.colors-custom .about-text,
body.colors-custom #testimonial,
body.colors-custom #comments,
body.colors-custom .archive-blog-wrapper .has-post-thumbnail header.entry-header,
body.colors-custom .archive-blog-wrapper article.has-no-post-thumbnail .entry-container,
body.colors-custom.woocommerce ul.products li.product .price,
body.colors-custom.woocommerce .woocommerce-ordering select,
body.colors-custom.woocommerce input[type="search"],
body.colors-custom.woocommerce div.product .woocommerce-tabs .panel,
body.colors-custom.woocommerce-cart ul.products li.product .price {
    background: '.esc_attr( $color_value ).';
}
body.colors-custom .comment-respond input[type="url"] {
	background-color: '.esc_attr( $color_value ).';
	color: #fff;
}

/*--------------------------------------------------------------
##                      TEXT COLOR
--------------------------------------------------------------*/
body.colors-custom .site-title a,
body.colors-custom .site-description,
body.colors-custom .search-icons svg.icon.icon-search,
body.colors-custom .site-header .search-icons svg.icon.icon-close,
body.colors-custom .menu-toggle span,
body.colors-custom .sub-title,
body.colors-custom .entry-title,
body.colors-custom svg.icon.icon-bars,
body.colors-custom svg.icon-close,
body.colors-custom .single-post-wrapper .entry-content p:first-child:first-letter,
body.colors-custom .single-post-wrapper .entry-container .entry-meta a,
body.colors-custom .single-post-wrapper .entry-content blockquote p,
body.colors-custom .single-post-wrapper .entry-footer span.tags-links span,
body.colors-custom .author-wrapper span.byline,
body.colors-custom .not-found h3.page-title,
body.colors-custom .get-in-touch small,
body.colors-custom .get-in-touch .social-icons li a svg,
body.colors-custom .get-in-touch .social-icons li:before,
body.colors-custom .get-in-touch .social-icons li:after,
body.colors-custom .get-in-touch .social-icons li a:before,
body.colors-custom .get-in-touch .social-icons li a:after,
body.colors-custom span.author.vcard:before,
body.colors-custom span.author.vcard:after,
body.colors-custom .page-header .page-title,
body.colors-custom h2.comments-title,
body.colors-custom .comment-meta.commentmetadata .fn,
body.colors-custom .reply a,
body.colors-custom .comment-reply-title,
body.colors-custom #secondary .widget-title,
body.colors-custom.woocommerce ul.products li.product .woocommerce-loop-product__title,
body.colors-custom.woocommerce .woocommerce-breadcrumb a,
body.colors-custom.woocommerce .product h2 ,
body.colors-custom.woocommerce-cart h2,
body.colors-custom.woocommerce-checkout h3,
body.colors-custom.woocommerce-cart ul.products li.product .woocommerce-loop-product__title,
body.colors-custom .widget.widget_calendar,
body.colors-custom .single-post-wrapper .entry-content p a {
    color: #a9a9a9;
    fill: #a9a9a9;
}
body.colors-custom #client .entry-title,
body.colors-custom #client .sub-title {
    color: #000;
}
body.colors-custom #about .entry-content p,
body.colors-custom #testimonial .hentry:nth-child(1) .entry-content,
body.colors-custom .site-info .hentry.copyright,
body.colors-custom  #portfolio .entry-content p,
body.colors-custom  #portfolio blockquote,
body.colors-custom #get-in-touch .contact-info .entry-content p,
body.colors-custom .single-post-wrapper .entry-content p,
body.colors-custom  .page-content p,
body.colors-custom .contact-info .entry-content,
body.colors-custom #photo-details blockquote,
body.colors-custom .archive-blog-wrapper .entry-container .entry-content p,
body.colors-custom a.read-more,
body.colors-custom span.comments-link a,
body.colors-custom span.edit-link a,
body.colors-custom .nav-links a svg,
body.colors-custom .comment-meta.commentmetadata a,
body.colors-custom .comment-meta.commentmetadata p,
body.colors-custom p.logged-in-as a,
body.colors-custom p.comment-form-comment label,
body.colors-custom .widget a,
body.colors-custom span.cat-links a,
body.colors-custom .entry-title a,
body.colors-custom .archive-blog-wrapper .entry-meta a,
body.colors-custom .archive-blog-wrapper .entry-meta time,
body.colors-custom .archive-blog-wrapper span.author.vcard:before,
body.colors-custom .archive-blog-wrapper span.author.vcard:after,
body.colors-custom .archive-blog-wrapper span.tags-links a,
body.colors-custom.woocommerce ul.products li.product .price,
body.colors-custom.woocommerce ul.product_list_widget li span.reviewer,
body.colors-custom.woocommerce .woocommerce-result-count,
body.colors-custom.woocommerce-page .woocommerce-result-count,
body.colors-custom .price_label,
body.colors-custom.woocommerce .woocommerce-ordering select,
body.colors-custom.woocommerce input[type="search"],
body.colors-custom .woocommerce-product-rating a.woocommerce-review-link,
body.colors-custom.single-product .count,
body.colors-custom .woocommerce .star-rating span,
body.colors-custom span.posted_in a,
body.colors-custom span.posted_in,
body.colors-custom.woocommerce.woocommerce-page p,
body.colors-custom .woocommerce ul.product_list_widget span.woocommerce-Price-amount.amount,
body.colors-custom span.woocommerce-Price-amount.amount,
body.colors-custom.woocommerce-cart table.cart td a,
body.colors-custom.woocommerce-cart .cart-collaterals .cart_totals tr th,
body.colors-custom .single-post-wrapper .entry-content,
body.colors-custom .single-post-wrapper .entry-content ul li a {
    color: #a9a9a9;
    fill: #a9a9a9;
}

/*--------------------------------------------------------------
##                    BORDER COLOR
--------------------------------------------------------------*/
body.colors-custom .single-post-wrapper .navigation.post-navigation,
body.colors-custom.woocommerce-cart .woocommerce table.shop_table {
    border: 1px solid '.esc_attr( $color_value ).';
}
body.colors-custom #breadcrumb-list,
body.colors-custom.woocommerce .woocommerce-breadcrumb {
	border-bottom: 1px solid '.esc_attr( $color_value ).';
}
body.colors-custom .archive-blog-wrapper .entry-summary,
body.colors-custom.woocommerce-cart .woocommerce table.shop_table td {
	border-top: 1px solid '.esc_attr( $color_value ).';
}
body.colors-custom.woocommerce ul.products li.product .price,
body.colors-custom.woocommerce-cart ul.products li.product .price,
body.colors-custom.woocommerce .woocommerce-ordering select,
body.colors-custom.woocommerce input[type="search"]  {
	border: 2px solid '.esc_attr( $color_value ).';
}

/*--------------------------------------------------------------
##                    HOVER COLOR
--------------------------------------------------------------*/
body.colors-custom .single-post-wrapper .entry-container .entry-meta a:hover {
    color: #37b4ac;
}


/*--------------------------------------------------------------
##                    ACCENT COLOR
--------------------------------------------------------------*/

.accent-colors .btn-white:hover,
.accent-colors.woocommerce ul.products li.product .action .button:hover,
.accent-colors.woocommerce-cart ul.products li.product .action .button:hover  {
	border: 2px solid ' . esc_attr( $accent_color ) . ';
}
.accent-colors .btn-green:hover,
.accent-colors input[type="submit"]:hover,
.accent-colors .btn-white:hover,
.accent-colors #testimonial .slick-prev:hover:before,
.accent-colors #testimonial .slick-prev:focus:before,
.accent-colors #testimonial .slick-next:hover:before,
.accent-colors #testimonial .slick-next:focus:before,
.accent-colors .main-navigation ul.menu,
.accent-colors .menu-open ul,
.accent-colors .slick-dots li.slick-active button:before,
.accent-colors .slick-dots li button:hover:before,
.accent-colors .slick-dots li button:focus:before,
.accent-colors.woocommerce nav.woocommerce-pagination ul li span.current,
.accent-colors.woocommerce nav.woocommerce-pagination ul li a:hover,
.accent-colors.woocommerce ul.products li.product .action .button:hover,
.accent-colors .action a.added_to_cart.wc-forward,
.accent-colors.woocommerce.single-product div.product form.cart .button,
.accent-colors.woocommerce div.product .woocommerce-tabs ul.tabs li.active,
.accent-colors.woocommerce #respond input#submit:hover,
.accent-colors input[type="submit"],
.accent-colors .woocommerce-message a.button.wc-forward,
.accent-colors.woocommerce-checkout input.button.alt,
.accent-colors.woocommerce-cart a.button.alt,
.accent-colors.woocommerce .widget_price_filter .ui-slider .ui-slider-range,
.accent-colors.woocommerce .widget_price_filter .price_slider_amount .button,
.accent-colors.woocommerce .widget_price_filter .ui-slider .ui-slider-handle,
.accent-colors .woocommerce ul.products li.product .action .button:hover,
.accent-colors .main-navigation ul ul, 
.accent-colors .main-navigation #search form.search-form input,
.accent-colors input[type="submit"]:hover,
.accent-colors .btn-green:hover,
.accent-colors .archive-blog-wrapper article.sticky .entry-container header.entry-header,
.accent-colors.single-post p.form-submit input[type="submit"]:hover,
.accent-colors .woocommerce a.button.alt {
    background-color: ' . esc_attr( $accent_color ) . ';
}
.accent-colors .btn-green,
.accent-colors .woocommerce #respond input#submit,
.accent-colors input[type="submit"],
.accent-colors.woocommerce #respond input#submit:hover,
.accent-colors.woocommerce #respond input#submit,
.accent-colors.single-post p.form-submit input[type="submit"]:hover {
	border: 1px solid ' . esc_attr( $accent_color ) . ';
}
.accent-colors #testimonial .position h5,
.accent-colors #portfolio .position h5 {
    border-top: 1px solid ' . esc_attr( $accent_color ) . ';
}
.accent-colors .seperator {
    background-color: ' . esc_attr( $accent_color ) . ';
}
.accent-colors .btn-green,
.accent-colors a.add-to-collection:hover,
.accent-colors .site-info a:hover,
.accent-colors #client .regular .slick-dots li.slick-active button:before,
.accent-colors #client .regular .slick-dots li button:hover,
.accent-colors #client .regular .slick-dots li button:focus,
.accent-colors span.page-numbers.current,
.accent-colors .nav-links .page-numbers:hover,
.accent-colors .posts-navigation .nav-next a:hover,
.accent-colors .post-navigation .nav-next a:hover,
.accent-colors .posts-navigation .nav-previous a:hover,
.accent-colors .post-navigation .nav-previous a:hover,
body.accent-colors .single-post-wrapper .entry-container .entry-meta a:hover,
.accent-colors .author-wrapper span.author.vcard a,
.accent-colors .archive-blog-wrapper .entry-container .cat-links a:hover,
.accent-colors .archive-blog-wrapper .entry-container .entry-title a:hover,
.accent-colors #portfolio .position span,
.accent-colors .site-title a:hover,
.accent-colors .entry-meta a:hover,
.accent-colors footer.entry-footer a:hover,
.accent-colors .widget a:hover,
.accent-colors ul.trail-items li a:hover ,
.accent-colors ul.trail-items li.trail-end span,
.accent-colors.woocommerce .woocommerce-breadcrumb,
.accent-colors.woocommerce .woocommerce-breadcrumb a:hover,
.accent-colors.woocommerce ul.products li.product .button,
.accent-colors.woocommerce ul.products li.product .woocommerce-loop-product__title:hover,
.accent-colors a.woocommerce-review-link:hover .count,
.accent-colors .product_meta span.posted_in a:hover,
.accent-colors.single-product span.woocommerce-Price-amount.amount,
.accent-colors.single-product div.product span.price,
.accent-colors.single-product div.product p.price,
.accent-colors a.read-more:hover,
.accent-colors.woocommerce div.product form.cart div.quantity input[type="number"],
.accent-colors #review_form .stars a:hover,
.accent-colors .woocommerce-product-rating a.woocommerce-review-link:hover,
.accent-colors .single-post-wrapper .entry-footer span.tags-links a:hover,
.accent-colors.woocommerce #respond input#submit,
.accent-colors .reply a:hover,
.accent-colors .comment-meta.commentmetadata .fn:hover,
.accent-colors .comment-meta.commentmetadata a:hover,
.accent-colors p.logged-in-as a:hover,
.accent-colors .archive-blog-wrapper .entry-meta time:hover,
.accent-colors .archive-blog-wrapper .entry-meta a:hover,
.accent-colors .byline:hover span.author.vcard:before,
.accent-colors .byline:hover span.author.vcard:after,
.accent-colors .archive-blog-wrapper span.tags-links a:hover,
.accent-colors .single-post-wrapper .entry-content p a:hover,
.accent-colors .single-post-wrapper .entry-content ul li a:hover,
.accent-colors #testimonial h5 a:hover,
.woocommerce-page.woocommerce .star-rating span:before,
.accent-colors.classic-menu .main-navigation ul#primary-menu > li > a:hover,
.accent-colors.single-post p.form-submit input[type="submit"],
#featured-section .entry-title a:hover,
#featured-section .entry-title a:focus {
	color: ' . esc_attr( $accent_color ) . ';
}
.accent-colors .btn-green:hover,
.accent-colors .btn-white,
.accent-colors .main-navigation ul li svg.icon.icon-angle-down:hover,
.accent-colors .woocommerce nav.woocommerce-pagination ul li span.current,
.accent-colors .woocommerce nav.woocommerce-pagination ul li a:hover,
.accent-colors.woocommerce.single-product div.product form.cart .button:hover,
.accent-colors.woocommerce #respond input#submit:hover,
.accent-colors.woocommerce #respond input#submit:hover,
.accent-colors input[type="submit"],
.accent-colors.woocommerce ul.products li.product .action .button:hover,
.accent-colors .action a.added_to_cart.wc-forward,
.accent-colors.single-post p.form-submit input[type="submit"]:hover {
	color: #fff;
	fill: #fff;
}
.accent-colors svg.icon.icon-angle-down:hover,
.accent-colors.classic-menu .main-navigation ul li a:hover svg.icon.icon-angle-down,
.accent-colors .main-navigation ul#primary-menu > li.current-menu-item > a svg {
	color: '.esc_attr( $accent_color ).';
	fill:'.esc_attr( $accent_color ).';
    stroke: '.esc_attr( $accent_color ).';
}
.accent-colors #testimonial .slick-prev:hover:before,
.accent-colors #testimonial .slick-next:hover:before,
.accent-colors #testimonial .slick-next:focus:before,
.accent-colors #testimonial .slick-prev:focus:before {
	background-color:transparent;
}
.accent-colors .icon-download:hover,
.accent-colors a.add-to-collection:hover svg,
.accent-colors .post-navigation .nav-previous a:hover svg,
.accent-colors .post-navigation .nav-previous a:focus svg,
.accent-colors .post-navigation .nav-next a:hover svg,
.accent-colors .post-navigation .nav-next a:focus svg,
.accent-colors .posts-navigation .nav-previous a:hover svg,
.accent-colors .posts-navigation .nav-previous a:focus svg,
.accent-colors .posts-navigation .nav-next a:hover svg,
.accent-colors .posts-navigation .nav-next a:focus svg,
.accent-colors .counter svg,
.accent-colors #counter-section svg {
	fill: ' . esc_attr( $accent_color ) . ';
	stroke: '.esc_attr( $accent_color ).';
}
.accent-colors .main-navigation ul ul {
    background-color: ' . esc_attr( $accent_color ) . ';

}
';

	/**
	 * Filters Pikture custom colors CSS.
	 *
	 * @since Pikture Pro 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'pikture_pro_custom_colors_css', $css );
}
