<?php
/**
 * Hero Content options
 *
 * @package Theme Palace
 * @subpackage Pikture Pro
 * @since Pikture Pro 1.0.0
 */

// Add hero content section
$wp_customize->add_section( 'pikture_pro_hero_content_section', array(
	'title'             => esc_html__( 'Hero Content','pikture-pro' ),
	'description'       => esc_html__( 'Hero content options.', 'pikture-pro' ),
	'panel'             => 'pikture_pro_front_page_panel',
) );

// Hero content enable control and setting
$wp_customize->add_setting( 'pikture_pro_theme_options[enable_hero_content]', array(
	'sanitize_callback' => 'pikture_pro_sanitize_select',
	'default'          	=> $options['enable_hero_content'],
) );

$wp_customize->add_control( 'pikture_pro_theme_options[enable_hero_content]', array(
	'label'             => esc_html__( 'Enable on:', 'pikture-pro' ),
	'section'           => 'pikture_pro_hero_content_section',
	'type'				=> 'radio',
	'choices'			=> pikture_pro_enable_options()
) );

// Hero content text
$wp_customize->add_setting( 'pikture_pro_theme_options[hero_content_text]', array(
	'sanitize_callback' => 'pikture_pro_sanitize_html',
	'default'          	=> $options['hero_content_text'],
	'transport'			=> 'postMessage'
) );

$wp_customize->add_control( 'pikture_pro_theme_options[hero_content_text]', array(
	'label'           => esc_html__( 'Content:', 'pikture-pro' ),
	'description'     => esc_html__( 'HTML Allowed', 'pikture-pro' ),
	'section'         => 'pikture_pro_hero_content_section',
	'type'            => 'textarea',
	'active_callback' => 'pikture_pro_is_hero_content_is_enable'
) );

if ( isset( $wp_customize->selective_refresh ) ) {
	$wp_customize->selective_refresh->add_partial( 'pikture_pro_theme_options[hero_content_text]', array(
		'selector'            => '.header-content h1',
		'render_callback'     => 'pikture_pro_hero_content_text_refresh',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
	) );
}