<?php
/**
 * Archive options
 *
 * @package Theme Palace
 * @subpackage Pikture Pro
 * @since Pikture Pro 1.0.0
 */

// Add archive section
$wp_customize->add_section( 'pikture_pro_archive_section', array(
	'title'             => esc_html__( 'Blog/Archive','pikture-pro' ),
	'description'       => esc_html__( 'These options works on archives like: search, blog, date archive and so on.', 'pikture-pro' ),
	'panel'             => 'pikture_pro_theme_options_panel',
) );

// Show archive content type setting and control.
$wp_customize->add_setting( 'pikture_pro_theme_options[archive_content_type]', array(
	'default'           => $options['archive_content_type'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'pikture_pro_theme_options[archive_content_type]', array(
	'label'             => esc_html__( 'Archive Content', 'pikture-pro' ),
	'section'           => 'pikture_pro_archive_section',
	'type'				=> 'radio',
	'choices'			=> array( 
		'excerpt' => esc_html__( 'Excerpt', 'pikture-pro' ),
		'content' => esc_html__( 'Full Content', 'pikture-pro' )
	),
) );

// Archive image setting and control.
$wp_customize->add_setting( 'pikture_pro_theme_options[hide_image]', array(
	'default'           => $options['hide_image'],
	'sanitize_callback' => 'pikture_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Pikture_Pro_Switch_Control( $wp_customize, 'pikture_pro_theme_options[hide_image]', array(
	'label'             => esc_html__( 'Hide Image', 'pikture-pro' ),
	'section'           => 'pikture_pro_archive_section',
	'on_off_label' 		=> pikture_pro_switch_options(),
) ) );

// Archive date meta setting and control.
$wp_customize->add_setting( 'pikture_pro_theme_options[hide_date]', array(
	'default'           => $options['hide_date'],
	'sanitize_callback' => 'pikture_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Pikture_Pro_Switch_Control( $wp_customize, 'pikture_pro_theme_options[hide_date]', array(
	'label'             => esc_html__( 'Hide Date', 'pikture-pro' ),
	'section'           => 'pikture_pro_archive_section',
	'on_off_label' 		=> pikture_pro_switch_options(),
) ) );

// Archive author meta setting and control.
$wp_customize->add_setting( 'pikture_pro_theme_options[hide_author]', array(
	'default'           => $options['hide_author'],
	'sanitize_callback' => 'pikture_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Pikture_Pro_Switch_Control( $wp_customize, 'pikture_pro_theme_options[hide_author]', array(
	'label'             => esc_html__( 'Hide Author', 'pikture-pro' ),
	'section'           => 'pikture_pro_archive_section',
	'on_off_label' 		=> pikture_pro_switch_options(),
) ) );

// Archive author category setting and control.
$wp_customize->add_setting( 'pikture_pro_theme_options[hide_category]', array(
	'default'           => $options['hide_category'],
	'sanitize_callback' => 'pikture_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Pikture_Pro_Switch_Control( $wp_customize, 'pikture_pro_theme_options[hide_category]', array(
	'label'             => esc_html__( 'Hide Category', 'pikture-pro' ),
	'section'           => 'pikture_pro_archive_section',
	'on_off_label' 		=> pikture_pro_switch_options(),
) ) );

// Archive tag category setting and control.
$wp_customize->add_setting( 'pikture_pro_theme_options[hide_tags]', array(
	'default'           => $options['hide_tags'],
	'sanitize_callback' => 'pikture_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Pikture_Pro_Switch_Control( $wp_customize, 'pikture_pro_theme_options[hide_tags]', array(
	'label'             => esc_html__( 'Hide Tag', 'pikture-pro' ),
	'section'           => 'pikture_pro_archive_section',
	'on_off_label' 		=> pikture_pro_switch_options(),
) ) );

// Archive tag category setting and control.
$wp_customize->add_setting( 'pikture_pro_theme_options[hide_comments]', array(
	'default'           => $options['hide_comments'],
	'sanitize_callback' => 'pikture_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Pikture_Pro_Switch_Control( $wp_customize, 'pikture_pro_theme_options[hide_comments]', array(
	'label'             => esc_html__( 'Hide Comments', 'pikture-pro' ),
	'section'           => 'pikture_pro_archive_section',
	'on_off_label' 		=> pikture_pro_switch_options(),
) ) );