<?php
/**
 * Layout options
 *
 * @package Theme Palace
 * @subpackage Pikture Pro
 * @since Pikture Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'pikture_pro_layout', array(
	'title'               => esc_html__('Layout','pikture-pro'),
	'description'         => esc_html__( 'Layout section options.', 'pikture-pro' ),
	'panel'               => 'pikture_pro_theme_options_panel',
) );

// Site layout setting and control.
$wp_customize->add_setting( 'pikture_pro_theme_options[site_layout]', array(
	'sanitize_callback'   => 'pikture_pro_sanitize_select',
	'default'             => $options['site_layout'],
) );

$wp_customize->add_control(  new Pikture_Pro_Custom_Radio_Image_Control ( $wp_customize, 'pikture_pro_theme_options[site_layout]', array(
	'label'               => esc_html__( 'Site Layout', 'pikture-pro' ),
	'section'             => 'pikture_pro_layout',
	'choices'			  => pikture_pro_site_layout(),
) ) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'pikture_pro_theme_options[sidebar_position]', array(
	'sanitize_callback'   => 'pikture_pro_sanitize_select',
	'default'             => $options['sidebar_position'],
) );

$wp_customize->add_control(  new Pikture_Pro_Custom_Radio_Image_Control ( $wp_customize, 'pikture_pro_theme_options[sidebar_position]', array(
	'label'               => esc_html__( 'Global Sidebar Position', 'pikture-pro' ),
	'description'               => esc_html__( 'This will affect all other layouts like search page, 404 page except for pages and posts.', 'pikture-pro' ),
	'section'             => 'pikture_pro_layout',
	'choices'			  => pikture_pro_sidebar_position(),
) ) );

// Post sidebar position setting and control.
$wp_customize->add_setting( 'pikture_pro_theme_options[post_sidebar_position]', array(
	'sanitize_callback'   => 'pikture_pro_sanitize_select',
	'default'             => $options['post_sidebar_position'],
) );

$wp_customize->add_control(  new Pikture_Pro_Custom_Radio_Image_Control ( $wp_customize, 'pikture_pro_theme_options[post_sidebar_position]', array(
	'label'               => esc_html__( 'Posts Sidebar Position', 'pikture-pro' ),
	'section'             => 'pikture_pro_layout',
	'choices'			  => pikture_pro_sidebar_position(),
) ) );

// Post sidebar position setting and control.
$wp_customize->add_setting( 'pikture_pro_theme_options[page_sidebar_position]', array(
	'sanitize_callback'   => 'pikture_pro_sanitize_select',
	'default'             => $options['page_sidebar_position'],
) );

$wp_customize->add_control( new Pikture_Pro_Custom_Radio_Image_Control( $wp_customize, 'pikture_pro_theme_options[page_sidebar_position]', array(
	'label'               => esc_html__( 'Pages Sidebar Position', 'pikture-pro' ),
	'section'             => 'pikture_pro_layout',
	'choices'			  => pikture_pro_sidebar_position(),
) ) );

if ( pikture_pro_is_woocommerce_activated() ) {
	// WooCommerce sidebar position setting and control.
	$wp_customize->add_setting( 'pikture_pro_theme_options[woo_sidebar_position]', array(
		'sanitize_callback'   => 'pikture_pro_sanitize_select',
		'default'             => $options['woo_sidebar_position'],
	) );

	$wp_customize->add_control( new Pikture_Pro_Custom_Radio_Image_Control( $wp_customize, 'pikture_pro_theme_options[woo_sidebar_position]', array(
		'label'               => esc_html__( 'WooCommerce Sidebar Position', 'pikture-pro' ),
		'section'             => 'pikture_pro_layout',
		'choices'			  => pikture_pro_sidebar_position(),
	) ) );
}