<?php
/**
 * Template for displaying search forms in Theme Palace
 *
 * @package Theme Palace
 * @subpackage Pikture Pro
 * @since Pikture Pro 1.0.0
 */

?>

<form role="search" method="get" class="search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
    <label>
        <span class="screen-reader-text"><?php echo esc_html_x( 'Search for:', 'label', 'pikture-pro' ); ?></span>
        <input type="search" class="search-field"
            placeholder="<?php echo esc_attr_x( 'Search ...', 'placeholder', 'pikture-pro' ); ?>"
            value="<?php echo get_search_query(); ?>" name="s"
            title="<?php echo esc_attr_x( 'Search for:', 'label', 'pikture-pro' ); ?>" />
    </label>
    <button type="submit" class="search-submit"
        value="<?php echo esc_attr_x( 'Search', 'submit button', 'pikture-pro' ); ?>"><?php echo pikture_pro_get_svg( array( 'icon' => 'search' ) );?></button>
</form>